import sys
from distutils.core import setup
from Cython.Build import cythonize
setup(name='pygdh',
      version='0.3.0',
      description='Grid Discretization Helper',
      author='Kenneth Higa and Venkat Srinivasan',
      author_email='KHiga@lbl.gov',
      license='modifed BSD',
      platforms='All',
      requires=['numpy','scipy'],
      packages=['pygdh'],
      ext_modules = cythonize('pygdh/*.pyx', compiler_directives={'language_level':sys.version_info.major}),      
      package_data = {'pygdh': ['*pxd']})
