# Grid Discretization Helper Copyright (c) 2016-2019, The Regents of the University
# of California, through Lawrence Berkeley National Laboratory (subject to
# receipt of any required approvals from the U.S. Dept. of Energy).  All rights
# reserved.
#
# If you have questions about your rights to use or distribute this software,
# please contact Berkeley Lab's Innovation & Partnerships Office at:
# IPO@lbl.gov.
#
# NOTICE.  This Software was developed under funding from the U.S. Department
# of Energy and the U.S. Government consequently retains certain rights. As
# such, the U.S. Government has been granted for itself and others acting on
# its behalf a paid-up, non-exclusive, irrevocable, worldwide license in the
# Software to reproduce, distribute copies to the public, prepare derivative
# works, and perform publicly and display publicly, and to permit others to do
# so.

cimport numpy
from . cimport grid
#from grid cimport*
cdef class Problem:
    cdef public int past_timestep_count, grid_count, timestep_index, DOF_count
    cdef public time, grid, grid_with_name, oldest_time, timestep_size, inverse_timestep_size, DOF_count_array, input, equations, equation_scalar_counts, residual_start_index_for_unit_equation, residual_end_index_for_unit_equation, unknown, active_units, grid_DOF_count, grid_DOF_count_array, grid_DOF_vector, grid_candidate_DOF_vector, field_number_with_grid_and_DOF_numbers, unit_number_with_grid_and_DOF_numbers, grid_and_field_to_solution_index, grid_oldest_DOF_vector
